Observation Instance
Get a list of Observation objects.
### Available end points:
- `/observations/` - Will list all Results in the database
- `/observations.json` - Will return all Results in json format. This can
also be achieved by using the accept header. `application/json`
- `/observations/<object_id>/` - Returns Results object with that id
### Available Methods:
- `GET`
- `HEAD`
### Available filters:
- `title`
- `uuid`
- `keywords`
- `status`
- `result_field`
- `discoveryKeywords`
- `updateFrequency`
- `nonGeographicFlag`
- `publicationState`
- `permissions`
### How to use filters:
These filters can be used like django query filters using __ for related model relationships.
- `/observations/?uuid=d594d53df2612bbd89c2e0e770b5c1a0`
- `/observations/?status=completed`
- `/observations/?results_field__dataPath__startswith=/neodc/esacci`
- `/observations/?discoveryKeywords__name=ESACCI`
- `/observations/?nonGeographicFlag=True`
Filters can be stacked to build an 'AND' relationship. E.g.
- `/observations/?publicationState__in=published,citable&nonGeographicFlag=True`
- `/observations/?publicationState__in=published,citable&discoveryKeyword__name=NDGO0003`
GET /api/v2/observations/7982/?format=api
{ "ob_id": 7982, "uuid": "4d140042a552972ed550f394098b426a", "title": "NCAVEO: River channel survey data collected on the River Test at Chilbolton Cow Common", "abstract": "The Network for Calibration and Validation of EO data (NCAVEO) ground data collection programme included a series of transects on the River Test at Chilbolton Cow Common, an area of semi-natural wet grassland. The river survey was carried out on the 16th June between 11:15 and 13:15 at site Chilbolton 1 and 15:30-17:00 at Chilbolton 2, the day before the ‘golden day’ on which the airborne data were collected by the Environment Agency / Natural Environment Research Council (NERC).\r\n\r\nThe sampling strategy used was based on the desire to capture; (1) data over the range of water depths, (2) a dense and extensive sample of data to allow for bathymetric modelling of the river regions and (3) data over a broad range of substrate types to represent all varieties within the study region (e.g. from marginal vegetation to silts and to gravels). The variables recorded included: Easting; Northing; Water depth (cm); Depth to bed (cm); Surface velocity (m/s); Dominant substrate. Surface velocity was measured using a Valeport uni-directional electro-magnetic current meter (Valeport Ltd.). For more information on the collection and processing of the data please see the dataset's metadata document, in linked documentation. A video of David Spear describing the survey is available also included in the directory. ", "keywords": "NCAVEO, RIVER TEST, CHILBOLTON", "publicationState": "published", "dataPublishedTime": "2008-10-08T08:04:14", "doiPublishedTime": null, "updateFrequency": "notPlanned", "status": "completed", "result_field": { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/12687/?format=api", "dataPath": "/neodc/ncaveo_field/data/River_Survey", "oldDataPath": [], "storageLocation": "internal", "storageStatus": "online", "volume": 9654542, "numberOfFiles": 6, "fileFormat": "Data are NASA-Ames formatted" }, "timePeriod": "https://api.catalogue.ceda.ac.uk/api/v2/times/2282/?format=api", "geographicExtent": "https://api.catalogue.ceda.ac.uk/api/v2/bboxes/172/?format=api", "nonGeographicFlag": false, "phenomena": [ "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/85563/?format=api" ], "dataLineage": "These data were provided to NEODC by university of Southampton, who carried out work to convert formats to NASA-Ames, and write metadata documents. The metadata documents describing the processing are archived alongside the data as PDF files.", "removedDataTime": null, "removedDataReason": "", "language": "English", "identifier_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/identifiers/5190/?format=api" ], "projects": [ "https://api.catalogue.ceda.ac.uk/api/v2/projects/7827/?format=api" ], "observationcollection_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/observationcollections/7824/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/observationcollections/30128/?format=api" ], "responsiblepartyinfo_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/rpis/32684/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/32689/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/32686/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/32687/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/32688/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/32690/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/32683/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/32685/?format=api" ], "procedureAcquisition": "https://api.catalogue.ceda.ac.uk/api/v2/acquisitions/7986/?format=api", "procedureCompositeProcess": null, "procedureComputation": null, "permissions": [ { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/2522/?format=api", "useLimitation": null, "accessConstraints": null, "accessCategory": "registered", "accessRoles": null, "label": "registered: None group", "licenceURL": "http://www.nationalarchives.gov.uk/doc/open-government-licence/version/3/", "licenceClassifications": "any" } ], "discoveryKeywords": [ { "ob_id": 1138, "name": "NDGO0003" } ] }